com.smartgwt.client.types

## Enum DateEditingStyle

- java.lang.Object
- - java.lang.Enum<DateEditingStyle>
  - - com.smartgwt.client.types.DateEditingStyle

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<DateEditingStyle>

      public enum DateEditingStyle
      extends java.lang.Enum<DateEditingStyle>
      implements ValueEnum

  The type of date/time editing style to use when editing an event.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DATE` allows editing of the logical start and end dates of the event
    `DATETIME` allows editing of both date and time
    `TIME` allows editing of the time portion of the event only

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static DateEditingStyle` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DateEditingStyle[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DATE

          public static final DateEditingStyle DATE

      allows editing of the logical start and end dates of the event

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "date".

    - #### DATETIME

          public static final DateEditingStyle DATETIME

      allows editing of both date and time

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "datetime".

    - #### TIME

          public static final DateEditingStyle TIME

      allows editing of the time portion of the event only

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "time".

  - ### Method Detail

    - #### values

          public static DateEditingStyle[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DateEditingStyle c : DateEditingStyle.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DateEditingStyle valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`